package de.jcg.Trainer;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.nio.channels.FileChannel;

import de.jcg.Persistence.Database;


public class Setup {

	
	public void importVoc(File file){
		try {
			copyFile(file, new File(Database.getInstance().HOME+System.getProperty("file.separator")+file.getName()));
		} catch (IOException e) {
			System.out.println(e.getStackTrace());
		}
	}
	
	private void copyFile(File in, File out) throws IOException {
        FileChannel inChannel = new FileInputStream(in).getChannel();
        FileChannel outChannel = new FileOutputStream(out).getChannel();
        try {
            inChannel.transferTo(0, inChannel.size(), outChannel);
        }catch (IOException e) {
            System.err.println(e.getStackTrace());
        }finally {
            if (inChannel != null)
                inChannel.close();
            if (outChannel != null)
                outChannel.close();
        }
    } 
	
	

}
